Page MenuHomePhabricator

Invite French users to take the Notification Survey (using the Notifications panel)
Closed, ResolvedPublic

Description

We'd like to post the notifications survey to all French wikis. Use the same tool we created for T128937, with the same targeting: users with 1 unread notifications and at least 100 lifetime edits.

French text and URL will be aded shortly.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 5 2016, 9:44 PM

One thing: for the French version, can we please make the following little adjustment? (copied from T128937 )

The invitation panel includes a ? (Information) icon. The icon has a highlight state, and holding the hover brings up an informational message about the invitation. But if a user CLICKS on the icon, the message never appears -- even if the user continues to hold the hover after clicking. I'd submit that clicking on this icon is a pretty natural impulse.....Can we make it so that the info message will appear on hover and/or click?

Trizek-WMF added a comment.EditedApr 6 2016, 8:50 AM

--I haven't translated the invitation. Does anyone can sent me the source? Thanks!-- Got it, done.

And here is the invitation panel text in French (Thanks Benoit).

Main invitation

  • Donnez-nous votre avis. Merci de participer à ce sondage sur les notifications.

Information link text:

  • Ce sondage a pour but d'aider les développeurs à en savoir plus sur la manière dont les contributeurs se servent des Notifications, et ce afin d'améliorer cet outil. En cliquant sur le lien, vous serez redirigé vers le site d'un prestataire.
jmatazzoni triaged this task as High priority.Apr 6 2016, 9:36 PM

This needs to be enabled in production for the relevant wikis, I have no access. Ping @Catrope on this

Thanks @Mooeypoo. Is it otherwise ready to go? With the French text and URL?

The text should be translateable in translate-wiki, and the URL is a wiki-specific configuration option that should be added when the feature is enabled on the French wiki itself.

We should be ready to go with this, we just need someone to actively go into production and apply the setting.

The text should be translateable in translate-wiki

Does that mean we can't use the translation Benoit provided, above? I'd feel more comfortable knowing he'd reviewed the copy.

Mattflaschen-WMF added a comment.EditedApr 7 2016, 6:52 PM

Per @Mooeypoo and discussion at standup, normally we just rely on the translatewiki.net translations. Mostly these are done by volunteers, though occasionally staff will also help out.

The current French translation in the code is:

"echo-popup-footer-feedback": "<strong>Donner un avis</strong>. [$2 $1]",
"echo-popup-footer-feedback-survey": "Répondre à ce sondage rapide sur les notifications.",
"echo-popup-footer-feedback-info": "Ce lien d’avis est conçu pour aider les développeurs à en savoir plus sur comment les gens utilisent les notifications, afin que nous puissions continuer à améliorer l’outil. Cliquer sur le lien du sondage vous amènera sur le site web d’un tiers.",

We could talk about overriding this, though I'm not sure we want to do that unless it's not a good translation.

Matt writes:

The current French translation in the code is:
"echo-popup-footer-feedback-survey": "Répondre à ce sondage rapide sur les notifications.",
"echo-popup-footer-feedback-info": "Ce lien d’avis est conçu pour aider les développeurs à en savoir plus sur comment les gens utilisent les notifications, afin que nous puissions continuer à améliorer l’outil. Cliquer sur le lien du sondage vous amènera sur le site web d’un tiers.",
We could talk about overriding this, though I'm not sure we want to do that unless it's not a good translation.

@Trizek-WMF, what do you think? Is that language OK to put in the invitation panel? Or do you want to change it?

@Trizek-WMF, never mind. It looks like we're going with your text after all.

Yeah, I've updated it on translatewiki.net. The bot should come along and commit it to the git repository in a while (the FAQ says 1-2 days), then within 1 day of that it should be deployed to production.

So in 2-3 days, the new translation will be in production and we can enable French.

Ideally, this would use the UI language, not a fixed URL per-wiki (which basically means content language). But not a blocker.

Change 282414 had a related patch set uploaded (by Mattflaschen):
Enable Echo survey on French-language wikis

https://gerrit.wikimedia.org/r/282414

Change 282414 merged by jenkins-bot:
Enable Echo survey on French-language wikis

https://gerrit.wikimedia.org/r/282414

Sorry for not updating here. I had this reverted because rendering problems became apparent after the SWAT (text truncated and buttons hidden). I was able to fix those just by cherry-picking, but that still leaves T132384: Scrolling on the Echo survey's popup/tooltip.

Change 283330 had a related patch set uploaded (by Mattflaschen):
Enable Echo survey on French-language wikis (retry)

https://gerrit.wikimedia.org/r/283330

We decided at standup today T132384: Scrolling on the Echo survey's popup/tooltip was not a blocker, so we'll deploy it again today at 4 PM Pacific.

Change 283330 merged by jenkins-bot:
Enable Echo survey on French-language wikis (retry)

https://gerrit.wikimedia.org/r/283330

Mentioned in SAL [2016-04-13T23:46:13Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Enable Echo survey on French-language wikis (Task T131893, [[Gerrit:283330]]) (duration: 00m 26s)

jmatazzoni closed this task as Resolved.Apr 16 2016, 1:41 AM

Checked locally - several restriction should be met to enable the notification survey.

[minor] (some afterthought notes) The text formatting is rather tight; Many languages require more space than English.


vs English

Elena write:

...The text formatting is rather tight

She's right about that. Since we are planning to re-use this, it's worth a little more attention, I think. I'm not worried about the rollover text. But @Mattflaschen, on the main invitation panel, would it be possible to increase the line spacing (the space between lines) a touch, while leaving the padding around the text the same?

jmatazzoni reopened this task as Open.Apr 18 2016, 8:31 PM

Change 284099 had a related patch set uploaded (by Mattflaschen):
Increase line-height for survey to 16px

https://gerrit.wikimedia.org/r/284099

She's right about that. Since we are planning to re-use this, it's worth a little more attention, I think. I'm not worried about the rollover text. But @Mattflaschen, on the main invitation panel, would it be possible to increase the line spacing (the space between lines) a touch, while leaving the padding around the text the same?

line-height seems to also affect the space below the bottom. It's not too noticeable, though. I'll post a patch and screenshot.

Change 284099 merged by jenkins-bot:
Increase line-height for survey to 16px

https://gerrit.wikimedia.org/r/284099

That looks good to me. Thanks Matt.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 20 2016, 1:02 AM

Jonathan would like to close the French survey. Can someone please back the invitation off the Notifications panel? @Mattflaschen? @Catrope? Thanks. After that, we can close this ticket.

Change 284831 had a related patch set uploaded (by Mattflaschen):
Disable Echo survey on French wikis

https://gerrit.wikimedia.org/r/284831

Jonathan would like to close the French survey. Can someone please back the invitation off the Notifications panel? @Mattflaschen? @Catrope? Thanks. After that, we can close this ticket.

Yes. We can't do it today, since there are no deployments this week. But I've scheduled it for Monday 4 PM Pacific.

Change 284831 merged by Alex Monk:
Disable Echo survey on French wikis

https://gerrit.wikimedia.org/r/284831

Now removed from French

jmatazzoni closed this task as Resolved.May 2 2016, 11:58 PM